/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package mysql;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import java.sql.*;

import bean.Utilisateur;

/**
 *
 * @author francois
 */
public class utilisateurMysql {
    private Connection theConnection;

    public utilisateurMysql() {
        Connexion connexion = new Connexion("127.0.0.1", "bdPersonnel", "java", "java");
        this.theConnection = connexion.getConnection();
    }

    public Utilisateur readAuthentif(String login, String mdp) {
        Utilisateur util = null;
        try {
            PreparedStatement prepStmt = null;
            String sql = "SELECT * FROM utilisateur WHERE login=? AND mdp=?";
            prepStmt = theConnection.prepareStatement(sql);
            prepStmt.setString(1, login);
            prepStmt.setString(2, mdp);
            System.out.println(login);
            System.out.println(mdp);
            ResultSet result = prepStmt.executeQuery();
            if (result.next()) {
                util = new Utilisateur(result.getString(1), result.getString(2),
                        result.getString(3), result.getString(4));
            }
            prepStmt.close();
        } catch (SQLException ex) {
            System.out.println("SQLExeption : " + ex.getMessage());
            System.out.println("SQLState : " + ex.getSQLState());
            System.out.println("Code erreur : " + ex.getErrorCode());
        }
        return util;
    }

    public int createUser(String firstname, String lastname, String mdp) throws SQLException {
        String query = "INSERT INTO clients(nom, prenom, mdp, mail) VALUES (?, ?, ?, ?)";
        PreparedStatement stmt = theConnection.prepareStatement(query, Statement.RETURN_GENERATED_KEYS);
        stmt.setString(1, firstname);
        stmt.setString(2, lastname);
        stmt.setString(3, mdp);
        stmt.setString(4, firstname + lastname + "@gmail.com");
        int affectedRows = stmt.executeUpdate();

        if (affectedRows > 0) {
            ResultSet generatedKeys = stmt.getGeneratedKeys();
            if (generatedKeys.next()) {
                long newId = generatedKeys.getLong(1);
                return (int) newId;
            } else {
                return 0;
            }
        } else {
            return 0;
        }
    }
}
